<?php
include '../config.php';
include '../func.php';
head();
ban();
aut();

include_once 'inc/system.php';
include_once 'inc/config.php';

echo head . 'Мафия' . div . katalog;
$ank=get_user(intval($_GET['id']));
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".num($_GET['id'])."'"));
if(!$ank)exit('Пользователь не найден');

if(!$conf['open'])exit('Игра временно закрыта');

if(isset($_POST['send']))
{
$msg=html($_POST['msg']);

if(strlen($msg)>512 || empty($msg))$err[]='Неверное сообщение';
if(mysql_result(mysql_query("select `msg` from `maf_chat` where `id_user` = '$user[id]' order by time desc limit 1"),0)==$msg)$err='Повторяющееся сообщение';
if(!isset($err))
 {
 if($user['m_role']>9 && $_POST['maf']=='1' && $user['m_live']=='1')$m='1'; else $m='0';
 mysql_query("insert into `maf_chat` (`id_user`,`msg`,`time`,`maf`) values ('$user[id]','$msg','".time()."','$m');");
 header("Location: index.php"); 
 } else {
    echo $err;
 }
}


echo 'Ответ для '.$ank['login'].'<br/>';  
echo "<form method='post' action='?id=$ank[id]'>";
echo "<a href='../$ank[id]'>Анкета $ank[login]</a><br/>";
echo "<textarea name='msg'>$ank[login], </textarea><br/>";
if($user['m_role']>9 && $ank['m_role']>9 && $user['m_live']=='1'){
echo '<select name="maf">
<option selected="selected" value="1">Мафии</option>
<option value="0">Всем</option>
</select>';
}
echo '<br/><input type="submit" name="send" value="Отправить"/></form>'; 


echo '<br/><a href="/mafia/">В игру</a>';
navig();
foot();
?>